Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.isismtt.x509
Class NamingAuthority

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.isismtt.x509.NamingAuthority

All Implemented Interfaces:
  DEREncodable

    public class NamingAuthority

extends ASN1Encodable

Names of authorities which are responsible for the administration of title registers.

                 NamingAuthority ::= SEQUENCE
                 {
                   namingAuthorityId OBJECT IDENTIFIER OPTIONAL,
                   namingAuthorityUrl IA5String OPTIONAL,
                   namingAuthorityText DirectoryString(SIZE(1..128)) OPTIONAL
                 }

See Also:
  `AdmissionSyntax`

Field Summary
`static DERObjectIdentifier` | `id_isismtt_at_namingAuthorities_RechtWirtschaftSteuern` Profession OIDs should always be defined under the OID branch of the responsible naming authority.

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`NamingAuthority(DERObjectIdentifier namingAuthorityId, java.lang.String namingAuthorityUrl, DirectoryString namingAuthorityText)` Constructor from given details.

Method Summary
`static NamingAuthority` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static NamingAuthority` | `getInstance(java.lang.Object obj)`
`DERObjectIdentifier` | `getNamingAuthorityId()`
`DirectoryString` | `getNamingAuthorityText()`
`java.lang.String` | `getNamingAuthorityUrl()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id_isismtt_at_namingAuthorities_RechtWirtschaftSteuern

    public static final DERObjectIdentifier id_isismtt_at_namingAuthorities_RechtWirtschaftSteuern

  Profession OIDs should always be defined under the OID branch of the responsible naming authority. At the time of this writing, the work group �Recht, Wirtschaft, Steuern� (�Law, Economy, Taxes�) is registered as the first naming authority under the OID id-isismtt-at-namingAuthorities.

Constructor Detail

### NamingAuthority

    public NamingAuthority(DERObjectIdentifier namingAuthorityId,
                           java.lang.String namingAuthorityUrl,
                           DirectoryString namingAuthorityText)

  Constructor from given details.

  All parameters can be combined.

  Parameters:
    `namingAuthorityId` - ObjectIdentifier for naming authority.
    `namingAuthorityUrl` - URL for naming authority.
    `namingAuthorityText` - Textual representation of naming authority.

Method Detail

### getInstance

    public static NamingAuthority getInstance(java.lang.Object obj)

### getInstance

    public static NamingAuthority getInstance(ASN1TaggedObject obj,
                                              boolean explicit)

### getNamingAuthorityId

    public DERObjectIdentifier getNamingAuthorityId()

  Returns:
    Returns the namingAuthorityId.

### getNamingAuthorityText

    public DirectoryString getNamingAuthorityText()

  Returns:
    Returns the namingAuthorityText.

### getNamingAuthorityUrl

    public java.lang.String getNamingAuthorityUrl()

  Returns:
    Returns the namingAuthorityUrl.

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

  Returns:

                   NamingAuthority ::= SEQUENCE
                   {
                     namingAuthorityId OBJECT IDENTIFIER OPTIONAL,
                     namingAuthorityUrl IA5String OPTIONAL,
                     namingAuthorityText DirectoryString(SIZE(1..128)) OPTIONAL
                   }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a DERObject

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD